### Method

# St ThemeNode lookup_time

#### Declaration [src]

    gboolean
    st_theme_node_lookup_time (
      StThemeNode* node,
      const char* property_name,
      gboolean inherit,
      gdouble* value
    )

#### Description [src]

Generically looks up a property containing a single time value, which is converted to milliseconds.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the time property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`inherit`

  Type: `gboolean`

  If `TRUE`, if a value is not found for the property on the node, then it will be looked up on the parent node, and then on the parent’s parent, and so forth. Note that if the property has a value of ‘inherit’ it will be inherited even if `FALSE` is passed in for `inherit`; this only affects the default behavior for inheritance.

`value`

  Type: `gdouble*`

  Location to store the value that was determined. If the property is not found, the value in this location will not be changed.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the property was found in the properties for this theme node (or in the properties of parent nodes when inheriting.).